/* memo.h

Declarations for functions defined in memo.c

    Copyright (C) 1999, 2000 Conrado Badenas <Conrado.Badenas@uv.es>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef MEMO_H
#define MEMO_H

#include <stdlib.h>

#include "number.h"

void *mycalloc(size_t numelems,size_t sizeofelem);
void *myrealloc(void *oldptr,size_t numelems,size_t sizeofelem);

Number *vector(size_t num);
void f_vector(Number *v,size_t num);

#endif
