/* macros.h

Definition of some macros to make programming easier

    Copyright (C) 1999, 2000, 2001 Conrado Badenas <Conrado.Badenas@uv.es>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef MACROS_H
#define MACROS_H

#include <stdio.h>
#include <stdlib.h>

#include "number.h"

#define FATAL FATAL1
#define FATAL1(a)         {fprintf(stderr,"FATAL: "a    );exit(1);}
#define FATAL2(a,b)       {fprintf(stderr,"FATAL: "a,b  );exit(1);}
#define FATAL3(a,b,c)     {fprintf(stderr,"FATAL: "a,b,c);exit(1);}

#define WARN WARN1
#define WARN1(a)           fprintf(stderr,"WARNING: "a);
#define WARN2(a,b)         fprintf(stderr,"WARNING: "a,b);
#define WARN3(a,b,c)       fprintf(stderr,"WARNING: "a,b,c);
#define WARN4(a,b,c,d)     fprintf(stderr,"WARNING: "a,b,c,d);

#define TAB "\t"
#define NWL "\n"

#endif
